# Makefile for Watcom C++ for Windows/NT 32-bit
# This doesn't actually work yet

MSGDIR=..\..\msgapi
COPTS=-oneatx
#COPTS=-d2

.c.obj:
  wcl386 $(COPTS) -zq -wx -c -DWINNT -DMSGEDAC -I$(MSGDIR) $<

objs=areas.obj    \
     bmg.obj      \
     config.obj   \
     control.obj  \
     date.obj     \
     dialogs.obj  \
     dirute.obj   \
     dlgbox.obj   \
     fido.obj     \
     getopts.obj  \
     help.obj     \
     helpcmp.obj  \
     helpinfo.obj \
     init.obj     \
     keycode.obj  \
     list.obj     \
     maintmsg.obj \
     makemsgn.obj \
     memextra.obj \
     menu.obj     \
     misc.obj     \
     mnu.obj      \
     msg.obj      \
     msged.obj    \
     mxbt.obj     \
     normalc.obj  \
     nshow.obj    \
     quick.obj    \
     quote.obj    \
     readmail.obj \
     screen.obj   \
     strextra.obj \
     system.obj   \
     template.obj \
     textfile.obj \
     userlist.obj \
     vsev.obj     \
     vsevops.obj  \
     win.obj      \
     winntscr.obj \
     wrap.obj

msgedw32.exe: $(objs)
  wcl386 $(COPTS) -fe=msgedw32.exe $(objs) $(MSGDIR)\msgapint.lib
